.model tiny
.code
	org	100h
start:	jmp	ini

int16:	cli
	pushf
	sti
	call	dword ptr cs:[old16]
	iret
old16	dw	?,?

ini:	mov	ax,3516h
	int	21h
	mov	old16,bx
	mov	old16+2,es
	
	mov	dx,offset int16
	mov	ax,2516h
	int	21h

	mov	dx,offset ini
	int	27h
end start